package com.bocloud.nms.model.veeam.job;

public class GuestOsCredentialsPerMachineModel {

    private String windowsCredsId;
    private String linuxCredsId;
    private VmwareObjectModel vmObject;

    public String getWindowsCredsId() {
        return windowsCredsId;
    }

    public void setWindowsCredsId(String windowsCredsId) {
        this.windowsCredsId = windowsCredsId;
    }

    public String getLinuxCredsId() {
        return linuxCredsId;
    }

    public void setLinuxCredsId(String linuxCredsId) {
        this.linuxCredsId = linuxCredsId;
    }

    public VmwareObjectModel getVmObject() {
        return vmObject;
    }

    public void setVmObject(VmwareObjectModel vmObject) {
        this.vmObject = vmObject;
    }

    @Override public String toString() {
        return "GuestOsCredentialsPerMachineModel{" + "windowsCredsId='" + windowsCredsId + '\'' + ", linuxCredsId='"
            + linuxCredsId + '\'' + ", vmObject=" + vmObject + '}';
    }
}
